# QUndoGroup Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QUndoGroup(QObject parent)

### Constructor Properties

- prototype: The QUndoGroup prototype object

### Prototype Object Properties

The QUndoGroup prototype object inherits properties from the QObject prototype object and also has the following properties.

- QUndoStack activeStack()
- void addStack(QUndoStack stack)
- bool canRedo()
- bool canUndo()
- QAction createRedoAction(QObject parent, String prefix)
- QAction createUndoAction(QObject parent, String prefix)
- bool isClean()
- String redoText()
- void removeStack(QUndoStack stack)
- List stacks()
- String undoText()

### Instance Properties

QUndoGroup objects have no special properties beyond those inherited from the QUndoGroup prototype object.